List Files
Lists accessible Files in the selected Workspace. An optional Business filter also discovers its generated artifacts and existing documents. Workspace selection is required through authentication; it is not a query parameter.
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Query Parameters
Optional Business filter. Omit to list accessible Files in the selected Workspace.
^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$Value in
- "upload"
- "artifact"
- "legacy_document"
Value in
- "active"
- "archived"
File cursor from a previous page.
^fil_[0-7][0-9A-HJKMNP-TV-Z]{25}$1 <= value <= 10020Header Parameters
Workspace where this operation runs. Required for user tokens and Workspace API keys.
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/files" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "files": [ { "file_id": "string", "business_id": "string", "name": "string", "description": "string", "classification": "financial", "tags": [ "string" ], "origin": "upload", "lifecycle": "active", "current_version": { "file_version_id": "string", "version_number": 1, "content_type": "string", "size_bytes": 1, "sha256": "string", "processing_status": "pending_upload", "processing_error": "string", "summary": "string", "created_at": "2019-08-24T14:15:22Z", "ready_at": "2019-08-24T14:15:22Z" }, "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view" } ], "has_more": true, "next_cursor": "string", "request_id": "string"}